<?php
/**
 * Machine Repair Theme Customizer
 *
 * @package Machine Repair
 */

function Machine_Repair_Customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Machine_Repair_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Machine_Repair_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('machine_repair_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Machine Repair Theme Options', 'machine-repair'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'machine_repair_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_site_title_text',
		array(
			'label'       => __('Enable Title', 'machine-repair'),
			'description' => __('Enable or Disable Title from the site', 'machine-repair'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'machine_repair_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'machine-repair'),
			'description' => __('Enable or Disable Tagline from the site', 'machine-repair'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'machine_repair_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'machine-repair'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'machine-repair'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'machine_repair_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'machine-repair'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'machine_repair_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'machine-repair'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'machine-repair'),
			'description' => __('Checked to show Related Product', 'machine-repair'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'machine-repair'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'machine-repair'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('machine_repair_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
	));
	$wp_customize->add_control('machine_repair_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','machine-repair'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','machine-repair'),
            'layout-2' => esc_html__('Sidebar On Left','machine-repair'),
			'layout-3' => esc_html__('Full Width Layout','machine-repair')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('machine_repair_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
	));
	$wp_customize->add_control('machine_repair_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','machine-repair'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','machine-repair'),
            'layout-2' => esc_html__('Sidebar On Left','machine-repair'),
			'layout-3' => esc_html__('Full Width Layout','machine-repair')
        ),
	) );

	$wp_customize->add_setting('machine_repair_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
    ));
    $wp_customize->add_control('machine_repair_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','machine-repair' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','machine-repair'),
            'Left' => __('Left','machine-repair'),
            'Center' => __('Center','machine-repair')
        ),
    ) );


	/*Additional Options*/
	$wp_customize->add_section('machine_repair_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'machine-repair'),
		'panel'       => 'machine_repair_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'machine-repair'),
			'description' => __('Checked to enable sticky header', 'machine-repair'),
			'section'     => 'machine_repair_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'machine-repair'),
			'description' => __('Checked to show preloader', 'machine-repair'),
			'section'     => 'machine_repair_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'machine-repair'),
			'description' => __('Checked to show Breadcrumbs', 'machine-repair'),
			'section'     => 'machine_repair_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'machine-repair'),
			'description' => __('Checked to show Pagination', 'machine-repair'),
			'section'     => 'machine_repair_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Select Type Option*/
	$wp_customize->add_setting('machine_repair_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
	));
	$wp_customize->add_control('machine_repair_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','machine-repair'),
        'section' => 'machine_repair_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','machine-repair'),
            'type-2' => esc_html__('Type 2','machine-repair'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('machine_repair_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
	));
	$wp_customize->add_control('machine_repair_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','machine-repair'),
        'section' => 'machine_repair_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','machine-repair'),
            'layout-2' => esc_html__('Sidebar On Left','machine-repair'),
			'layout-3' => esc_html__('Full Width Layout','machine-repair')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('machine_repair_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
	));
	$wp_customize->add_control('machine_repair_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','machine-repair'),
        'section' => 'machine_repair_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','machine-repair'),
            'layout-2' => esc_html__('Sidebar On Left','machine-repair'),
			'layout-3' => esc_html__('Full Width Layout','machine-repair')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('machine_repair_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
	));
	$wp_customize->add_control('machine_repair_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','machine-repair'),
        'section' => 'machine_repair_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','machine-repair'),
            'layout-2' => esc_html__('Sidebar On Left','machine-repair'),
			'layout-3' => esc_html__('Full Width Layout','machine-repair')
        ),
	) );

	$wp_customize->add_setting( 
		'machine_repair_additional_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'machine_repair_additional_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more additional options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(MACHINE_REPAIR_BUY_NOW) ." '>Check Machine Repair PRO version.</a>
					</div>
				</div>
			",
			'section' => 'machine_repair_additional_section'
		)
	);
	
	/*Archive Post Options*/
	$wp_customize->add_section('machine_repair_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'machine-repair'),
		'panel'       => 'machine_repair_panel',
	));

	$wp_customize->add_setting('machine_repair_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'machine-repair'),
		'description' => __('Checked To Show Blog Post Title', 'machine-repair'),
		'section'     => 'machine_repair_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'machine-repair'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'machine-repair'),
		'section'     => 'machine_repair_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'machine-repair'),
		'description' => __('Checked To Show Blog Post Tags', 'machine-repair'),
		'section'     => 'machine_repair_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'machine-repair'),
		'description' => __('Checked To Show Blog Post Image', 'machine-repair'),
		'section'     => 'machine_repair_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'machine-repair'),
		'description' => __('Checked To Show Blog Post Content', 'machine-repair'),
		'section'     => 'machine_repair_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'machine-repair'),
		'description' => __('Checked To Show Blog Post Read More Button', 'machine-repair'),
		'section'     => 'machine_repair_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('machine_repair_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
	));
	$wp_customize->add_control('machine_repair_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','machine-repair'),
        'section' => 'machine_repair_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','machine-repair'),
            'Center' => esc_html__('Center','machine-repair'),
            'Right' => esc_html__('Right','machine-repair')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'machine_repair_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'machine-repair'),
			'section'     => 'machine_repair_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'machine_repair_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'machine-repair'),
			'section'     => 'machine_repair_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('machine_repair_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'machine-repair'),
		'panel'       => 'machine_repair_panel',
	));

	$wp_customize->add_setting('machine_repair_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'machine-repair'),
		'description' => __('Checked To Show Single Blog Post Title', 'machine-repair'),
		'section'     => 'machine_repair_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'machine-repair'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'machine-repair'),
		'section'     => 'machine_repair_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'machine-repair'),
		'description' => __('Checked To Show Single Blog Post Tags', 'machine-repair'),
		'section'     => 'machine_repair_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'machine-repair'),
		'description' => __('Checked To Show Single Post Image', 'machine-repair'),
		'section'     => 'machine_repair_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('machine_repair_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'machine_repair_sanitize_checkbox',
	));
	$wp_customize->add_control('machine_repair_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'machine-repair'),
		'description' => __('Checked To Show Single Blog Post Content', 'machine-repair'),
		'section'     => 'machine_repair_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'machine-repair'),
			'description' => __('Checked to show Related Post', 'machine-repair'),
			'section'     => 'machine_repair_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'machine_repair_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'machine-repair'),
			'section'     => 'machine_repair_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'machine_repair_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_related_post_count',
		array(
			'label'       => __('Related Post Count', 'machine-repair'),
			'section'     => 'machine_repair_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'machine-repair'),
			'description' => __('Checked to show Comment Section', 'machine-repair'),
			'section'     => 'machine_repair_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('machine_repair_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'machine-repair'),
		'panel'       => 'machine_repair_panel',
	));

	$wp_customize->add_setting( 'machine_repair_primary_color',
		array(
		'default'           => '#2D72BB',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'machine_repair_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'machine-repair' ),
			'section'    => 'machine_repair_global_color_section',
			'settings'   => 'machine_repair_primary_color',
		) ) 
	);


	$wp_customize->add_setting( 'machine_repair_secondary_color',
		array(
		'default'           => '#1E2452',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'machine_repair_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'machine-repair' ),
			'section'    => 'machine_repair_global_color_section',
			'settings'   => 'machine_repair_secondary_color',
		) ) 
	);
	
	/*Typography Options*/
	$wp_customize->add_section( 'machine_repair_typography_section', array(
		'panel'       => 'machine_repair_panel',
        'title'    => __( 'Typography Options', 'machine-repair' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'machine_repair_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'machine_repair_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'machine_repair_font_family', array(
		'label'    => __( 'Global Font Family', 'machine-repair' ),
		'section'  => 'machine_repair_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'machine-repair' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
			// Add new fonts here
			'poppins'            => 'Poppins',
			'lato'               => 'Lato',
			'source_sans_pro'    => 'Source Sans Pro',
			'quicksand'          => 'Quicksand',
			'nunito'             => 'Nunito',
			'montserrat'         => 'Montserrat',
			'roboto_condensed'   => 'Roboto Condensed',
			'playfair_display_sc'=> 'Playfair Display SC',
			'alegreya'           => 'Alegreya',
			'fira_sans'          => 'Fira Sans',
		),
	) );
	
	/*
	* Customizer main header section
	*/
	/*Main Header Options*/
	$wp_customize->add_section('machine_repair_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'machine-repair'),
		'panel'       => 'machine_repair_panel',
	));

	// Add Setting for Menu Text Transform
    $wp_customize->add_setting( 'machine_repair_menu_text_transform', array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'uppercase',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
    ) );

    // Add Control for Menu Text Transform
    $wp_customize->add_control( 'machine_repair_menu_text_transform', array(
        'label'    => __( 'Menu Text Transform', 'machine-repair' ),
        'section'  => 'machine_repair_header_section',
        'type'     => 'select',
        'choices'  => array(
            'none'       => __( 'None', 'machine-repair' ),
            'capitalize' => __( 'Capitalize', 'machine-repair' ),
            'uppercase'  => __( 'Uppercase', 'machine-repair' ),
            'lowercase'  => __( 'Lowercase', 'machine-repair' ),
        ),
    ) );

	$wp_customize->add_setting(
		'machine_repair_header_search',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => true,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_header_search',
		array(
			'label'       => __('Enable Disable Search', 'machine-repair'),
			'description' => __('Enable or Disable header Search', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'checkbox',
		)
	);

	/*Facebook Link*/
	$wp_customize->add_setting(
		'machine_repair_facebook_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'machine_repair_facebook_link_option',
		array(
			'label'       => __('Edit Facebook Link', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'url',
		)
	);

	/*Twitter Link*/
	$wp_customize->add_setting(
		'machine_repair_twitter_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'machine_repair_twitter_link_option',
		array(
			'label'       => __('Edit Twitter Link', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'url',
		)
	);

	/*Instagram Link*/
	$wp_customize->add_setting(
		'machine_repair_instagram_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'machine_repair_instagram_link_option',
		array(
			'label'       => __('Edit Instagram Link', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'machine_repair_linked_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'machine_repair_linked_link_option',
		array(
			'label'       => __('Edit Linkedin Link', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'machine_repair_pinterest_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'machine_repair_pinterest_link_option',
		array(
			'label'       => __('Edit Pinterest Link', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'machine_repair_youtube_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'machine_repair_youtube_link_option',
		array(
			'label'       => __('Edit Youtube Link', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'url',
		)
	);

	/*Main Header Button Text*/
	$wp_customize->add_setting(
		'machine_repair_header_button_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'BOOK AN APPOINTMENT',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_header_button_text',
		array(
			'label'       => __('Edit Button Text ', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'machine_repair_header_button_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'machine_repair_header_button_link',
		array(
			'label'       => __('Edit Button Link ', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting('machine_repair_location',array(
		'default'=> '351 Montreal Ave, Staten Island, NY 10306',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('machine_repair_location',array(
		'label'	=> __('Add location','machine-repair'),
		'section'=> 'machine_repair_header_section',
		'type'=> 'text'
	));

	$wp_customize->add_setting('machine_repair_header_location_icon',array(
		'default'	=> 'fas fa-map-marker-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Machine_Repair_Icon_Changer(
        $wp_customize,'machine_repair_header_location_icon',array(
		'label'	=> __('Location Icon','machine-repair'),
		'transport' => 'refresh',
		'section'	=> 'machine_repair_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'machine_repair_header_info_phone',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '+00 123 456 7890',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'machine_repair_header_info_phone',
		array(
			'label'       => __('Edit Phone Number ', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('machine_repair_header_phone_icon',array(
		'default'	=> 'fas fa-phone',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Machine_Repair_Icon_Changer(
        $wp_customize,'machine_repair_header_phone_icon',array(
		'label'	=> __('Phone Number Icon','machine-repair'),
		'transport' => 'refresh',
		'section'	=> 'machine_repair_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'machine_repair_header_info_email',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'machinerepair@example.com',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'machine_repair_header_info_email',
		array(
			'label'       => __('Edit Email Address ', 'machine-repair'),
			'section'     => 'machine_repair_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('machine_repair_header_mail_icon',array(
		'default'	=> 'fas fa-envelope-open-text',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Machine_Repair_Icon_Changer(
        $wp_customize,'machine_repair_header_mail_icon',array(
		'label'	=> __('Mail Icon','machine-repair'),
		'transport' => 'refresh',
		'section'	=> 'machine_repair_header_section',
		'type'		=> 'icon'
	)));

	$wp_customize->add_setting( 
		'machine_repair_header_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'machine_repair_header_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more header options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(MACHINE_REPAIR_BUY_NOW) ." '>Check Machine Repair PRO version.</a>
					</div>
				</div>
			",
			'section' => 'machine_repair_header_section'
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('machine_repair_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'machine-repair'),
		'panel'       => 'machine_repair_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'machine-repair'),
			'description' => __('Checked to show the main slider', 'machine-repair'),
			'section'     => 'machine_repair_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($machine_repair_i=1; $machine_repair_i <= 3; $machine_repair_i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'machine_repair_slider_image'.$machine_repair_i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'machine_repair_slider_image'.$machine_repair_i, 
				array(
			        'label' => __('Edit Slider Image ', 'machine-repair') .$machine_repair_i,
			        'description' => __('Edit the slider image.', 'machine-repair'),
			        'section' => 'machine_repair_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'machine_repair_slider_top_text'.$machine_repair_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'machine_repair_slider_top_text'.$machine_repair_i,
			array(
				'label'       => __('Edit Slider Top Text ', 'machine-repair') .$machine_repair_i,
				'description' => __('Edit the slider Top text.', 'machine-repair'),
				'section'     => 'machine_repair_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'machine_repair_slider_heading'.$machine_repair_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'machine_repair_slider_heading'.$machine_repair_i,
			array(
				'label'       => __('Edit Heading Text ', 'machine-repair') .$machine_repair_i,
				'description' => __('Edit the slider heading text.', 'machine-repair'),
				'section'     => 'machine_repair_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'machine_repair_slider_text'.$machine_repair_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'machine_repair_slider_text'.$machine_repair_i,
			array(
				'label'       => __('Edit Content Text ', 'machine-repair') .$machine_repair_i,
				'description' => __('Edit the slider content text.', 'machine-repair'),
				'section'     => 'machine_repair_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'machine_repair_slider_button1_text'.$machine_repair_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'machine_repair_slider_button1_text'.$machine_repair_i,
			array(
				'label'       => __('Edit Button #1 Text ', 'machine-repair') .$machine_repair_i,
				'description' => __('Edit the slider button text.', 'machine-repair'),
				'section'     => 'machine_repair_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'machine_repair_slider_button1_link'.$machine_repair_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'machine_repair_slider_button1_link'.$machine_repair_i,
			array(
				'label'       => __('Edit Button #1 URL ', 'machine-repair') .$machine_repair_i,
				'description' => __('Edit the slider button url.', 'machine-repair'),
				'section'     => 'machine_repair_slider_section',
				'type'        => 'url',
			)
		);

		/*Main Slider Button2 Text*/
		$wp_customize->add_setting(
			'machine_repair_slider_button2_text'.$machine_repair_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'machine_repair_slider_button2_text'.$machine_repair_i,
			array(
				'label'       => __('Edit Button #2 Text ', 'machine-repair') .$machine_repair_i,
				'description' => __('Edit the slider button text.', 'machine-repair'),
				'section'     => 'machine_repair_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'machine_repair_slider_button2_link'.$machine_repair_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'machine_repair_slider_button2_link'.$machine_repair_i,
			array(
				'label'       => __('Edit Button #2 URL ', 'machine-repair') .$machine_repair_i,
				'description' => __('Edit the slider button url.', 'machine-repair'),
				'section'     => 'machine_repair_slider_section',
				'type'        => 'url',
			)
		);
	}


	$wp_customize->add_setting( 
		'machine_repair_slider_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'machine_repair_slider_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more slider options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(MACHINE_REPAIR_BUY_NOW) ." '>Check Machine Repair PRO version.</a>
					</div>
				</div>
			",
			'section' => 'machine_repair_slider_section'
		)
	);

	// Existing Section and Basic Settings
    $wp_customize->add_section('machine_repair_events_section', array(
        'priority'       => 5,
        'capability'     => 'edit_theme_options',
        'title'          => __('Pricing Plans Options', 'machine-repair'),
        'panel'          => 'machine_repair_panel',
    ));

    // Enable Option
    $wp_customize->add_setting('machine_repair_enable_event', array(
        'capability'        => 'edit_theme_options',
        'default'           => 0,
        'sanitize_callback' => 'machine_repair_sanitize_checkbox',
    ));

    $wp_customize->add_control('machine_repair_enable_event', array(
        'label'       => __('Enable Pricing Plans Section', 'machine-repair'),
        'section'     => 'machine_repair_events_section',
        'type'        => 'checkbox',
    ));

    $wp_customize->add_setting('machine_repair_servicesec_heading', array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('machine_repair_servicesec_heading', array(
        'label'       => __('Edit Section Heading', 'machine-repair'),
        'section'     => 'machine_repair_events_section',
        'type'        => 'text',
    ));

    $wp_customize->add_setting('machine_repair_servicesec_content', array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('machine_repair_servicesec_content', array(
        'label'       => __('Edit Section Text', 'machine-repair'),
        'section'     => 'machine_repair_events_section',
        'type'        => 'text',
    ));

    // Category Selection
    $categories = get_categories();
    $cat_choices = array('select' => 'Select Category');
    foreach ($categories as $category) {
        $cat_choices[$category->slug] = $category->name;
    }

    $wp_customize->add_setting('machine_repair_blog_cat', array(
        'default'           => 'uncategorized',
        'sanitize_callback' => 'machine_repair_sanitize_choices',
    ));
    $wp_customize->add_control('machine_repair_blog_cat', array(
        'label'       => __('Select Category to display Pricing Plans', 'machine-repair'),
        'section'     => 'machine_repair_events_section',
        'type'        => 'select',
        'choices'     => $cat_choices,
    ));

    // Number of Posts to Show
    $wp_customize->add_setting('machine_repair_posts_to_show', array(
        'default'           => 3,
        'sanitize_callback' => 'absint',
    ));
    $wp_customize->add_control('machine_repair_posts_to_show', array(
        'label'       => __('Number of Posts to Show', 'machine-repair'),
        'section'     => 'machine_repair_events_section',
        'type'        => 'number',
        'input_attrs' => array('min' => 1, 'step' => 1),
    ));

    // Dynamic settings for Icons, Prices, and Features
    $num_posts = get_theme_mod('machine_repair_posts_to_show', 3);

    for ($machine_repair_i = 1; $machine_repair_i <= $num_posts; $machine_repair_i++) {
        // Icon setting
        $wp_customize->add_setting('machine_repair_services_icon' . $machine_repair_i, array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control('machine_repair_services_icon' . $machine_repair_i, array(
            'label'       => __('Add Icon for Post ', 'machine-repair') . $machine_repair_i,
            'section'     => 'machine_repair_events_section',
            'type'        => 'text',
        ));

         // Price setting
        $wp_customize->add_setting('machine_repair_courses_prices' . $machine_repair_i, array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('machine_repair_courses_prices' . $machine_repair_i, array(
            'label'       => __('Add Price for Post ', 'machine-repair') . $machine_repair_i,
            'section'     => 'machine_repair_events_section',
            'type'        => 'text',
        ));

        // Features settings
        for ($machine_repair_j = 1; $machine_repair_j <= 3; $machine_repair_j++) {
	        $wp_customize->add_setting('machine_repair_post' . $machine_repair_i . '_feature_heading' . $machine_repair_j, array(
	            'default'           => '',
	            'sanitize_callback' => 'sanitize_text_field',
	        ));
	        $wp_customize->add_control('machine_repair_post' . $machine_repair_i . '_feature_heading' . $machine_repair_j, array(
	            'label'       => __('Feature ', 'machine-repair') . $machine_repair_j . __(' Text for Post ', 'machine-repair') . $machine_repair_i,
	            'section'     => 'machine_repair_events_section',
	            'type'        => 'text',
	        ));
	    }
    }

	$wp_customize->add_setting( 
		'machine_repair_events_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'machine_repair_events_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more plans options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(MACHINE_REPAIR_BUY_NOW) ." '>Check Machine Repair PRO version.</a>
					</div>
				</div>
			",
			'section' => 'machine_repair_events_section'
		)
	);

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('machine_repair_footer_section', array(
		'priority'       => 8,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'machine-repair'),
		'panel'       => 'machine_repair_panel',
	));

	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'machine_repair_enable_footer',
		array(
			'label'       => __('Enable Footer', 'machine-repair'),
			'description' => __('Checked to show Footer', 'machine-repair'),
			'section'     => 'machine_repair_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('machine_repair_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'machine_repair_footer_bg_image',array(
        'label' => __('Footer Background Image','machine-repair'),
        'section' => 'machine_repair_footer_section',
    )));

	/** Footer bg Image Attachment */
    $wp_customize->add_setting('machine_repair_background_attachment', array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'scroll',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
    ));

    $wp_customize->add_control('machine_repair_background_attachment', array(
        'label'    => __('Footer Background Attachment', 'machine-repair'),
        'section'  => 'machine_repair_footer_section',
        'settings' => 'machine_repair_background_attachment',
        'type'     => 'select',
        'choices'  => array(
            'fixed' => __('fixed','machine-repair'),
            'scroll' => __('scroll','machine-repair'),
        ),
    ));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'machine_repair_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'machine-repair'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'machine-repair'),
			'section'     => 'machine_repair_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'machine_repair_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'machine_repair_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'machine_repair_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'machine-repair'),
			'description' => __('Checked to enable Go To Top option.', 'machine-repair'),
			'section'     => 'machine_repair_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('machine_repair_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'machine_repair_sanitize_choices'
    ));
    $wp_customize->add_control('machine_repair_go_to_top_position',array(
        'type' => 'select',
        'section' => 'machine_repair_footer_section',
        'label' => esc_html__('Go To Top Positions','machine-repair'),
        'choices' => array(
            'Right' => __('Right','machine-repair'),
            'Left' => __('Left','machine-repair'),
            'Center' => __('Center','machine-repair')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'machine_repair_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'machine_repair_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'machine-repair'),
			'description' => __('Edit the Footer Copyright Section.', 'machine-repair'),
			'section'     => 'machine_repair_footer_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting( 
		'machine_repair_footer_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'machine_repair_footer_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more footer options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(MACHINE_REPAIR_BUY_NOW) ." '>Check Machine Repair PRO version.</a>
					</div>
				</div>
			",
			'section' => 'machine_repair_footer_section'
		)
	);
}
add_action( 'customize_register', 'Machine_Repair_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Machine_Repair_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Machine_Repair_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Machine_Repair_Customize_preview_js() {
	wp_enqueue_script( 'machine-repair-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), MACHINE_REPAIR_VERSION, true );
}
add_action( 'customize_preview_init', 'Machine_Repair_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Machine_Repair_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $machine_repair_instance = null;

		if ( is_null( $machine_repair_instance ) ) {
			$machine_repair_instance = new self;
			$machine_repair_instance->setup_actions();
		}

		return $machine_repair_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $machine_repair_manager
	 * @return void
	*/
	public function sections( $machine_repair_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$machine_repair_manager->register_section_type( 'machine_repair_Customize_Section_Pro' );

		// Register sections.
		$machine_repair_manager->add_section( new Machine_Repair_Customize_Section_Pro( $machine_repair_manager,'machine_repair_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Machine Repairge Pro', 'machine-repair' ),
			'pro_text' => esc_html__( 'Buy Pro', 'machine-repair' ),
			'pro_url'    => esc_url( MACHINE_REPAIR_BUY_NOW ),
		) )	);

		// Register sections.
		$machine_repair_manager->add_section( new Machine_Repair_Customize_Section_Pro( $machine_repair_manager,'machine_repair_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'machine-repair' ),
			'pro_text' => esc_html__( 'Instruction', 'machine-repair' ),
			'pro_url'    => esc_url( MACHINE_REPAIR_LITE_DOC ),
		) )	);

		$machine_repair_manager->add_section( new Machine_Repair_Customize_Section_Pro( $machine_repair_manager, 'machine_repair_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'machine-repair' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'machine-repair' ),
		    'pro_url'    => esc_url( MACHINE_REPAIR_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'machine-repair-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'machine-repair-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Machine_Repair_Customize::get_instance();